> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.wodup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List programs

> Return all programs for your organization. Does not include PT programs.



## OpenAPI

````yaml get /api/public/programs
openapi: 3.0.0
info:
  title: WodUp Public API
  version: '0.1'
servers:
  - description: Development / testing server
    url: https://api.wodup.dev
    variables: {}
security:
  - authorization: []
tags: []
paths:
  /api/public/programs:
    get:
      tags:
        - programs
      summary: List programs
      description: Return all programs for your organization. Does not include PT programs.
      operationId: WodUpWeb.PublicApi.ProgramController.index
      parameters:
        - description: |
            **Only used by platform integrations**  
            ID of gym to execute on behalf of
          example: gym_123abc
          in: header
          name: wodup-gym
          required: false
          schema:
            type: string
        - description: Filter by program status
          in: query
          name: status
          required: false
          schema:
            default: active
            enum:
              - active
              - archived
              - all
            type: string
        - description: >-
            A limit on the number of objects to be returned. Limit can range
            between 1 and 100, and the default is 10.
          example: 50
          in: query
          name: limit
          required: false
          schema:
            default: 10
            maximum: 100
            minimum: 1
            type: integer
        - description: >-
            A cursor for use in pagination. `after_cursor` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, ending with `obj_foo`, your
            subsequent call can include `after_cursor=obj_foo` in order to fetch
            the next page of the list.
          example: ath_abcdef
          in: query
          name: after_cursor
          required: false
          schema:
            type: string
        - description: >-
            A cursor for use in pagination. `before_cursor` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, starting with `obj_bar`, your
            subsequent call can include `before_cursor=obj_bar` in order to
            fetch the previous page of the list.
          example: ath_abcdef
          in: query
          name: before_cursor
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProgramsResponse'
          description: Program list
      callbacks: {}
components:
  schemas:
    ListProgramsResponse:
      example:
        - access: private
          id: p_123abc
          name: Strength and Conditioning
          period: continuous
          status: active
      items:
        $ref: '#/components/schemas/Program'
      title: ListProgramsResponse
      type: array
    Program:
      description: A program at your organization
      example:
        access: private
        id: p_123abc
        name: Strength and Conditioning
        period: continuous
        status: active
      properties:
        access:
          description: Program access
          enum:
            - all_members
            - private
          type: string
        id:
          description: Program ID
          type: integer
        name:
          description: Program name
          type: string
        period:
          description: Program period
          enum:
            - continuous
            - fixed
            - template
          type: string
        status:
          description: Program status
          enum:
            - active
            - archived
          type: string
      required:
        - id
        - name
        - status
      title: Program
      type: object
  securitySchemes:
    authorization:
      scheme: basic
      type: http

````